.theme-switch-wrapper {
    display: flex;
    align-items: center;
}

.theme-switch-wrapper em {
    margin-left: 10px;
    font-size: 1rem;
}

.theme-switch {
    display: inline-block;
    position: relative;
    margin: 0;
}

.theme-switch input {
    display: none;
}

/*-- //toggle switch --*/
/*-- dark and light mode styling --*/
.mode-container {
    width: 24px;
    height: 24px;
    padding: 1px 0;
    cursor: pointer;
}

.gg-sun {
    position: relative;
    transform: scale(var(--ggs, 1));
    height: 24px;
    background: linear-gradient(180deg, currentColor 4px, transparent 0) no-repeat 5px -6px/2px 6px, linear-gradient(180deg, currentColor 4px, transparent 0) no-repeat 5px 14px/2px 6px, linear-gradient(180deg, currentColor 4px, transparent 0) no-repeat -8px 5px/6px 2px, linear-gradient(180deg, currentColor 4px, transparent 0) no-repeat 14px 5px/6px 2px;
    border-radius: 100px;
    box-shadow: inset 0 0 0 2px;
    border: 6px solid transparent;
}

.gg-moon {
    overflow: hidden;
    position: relative;
    transform: rotate(-135deg) scale(var(--ggs, 1));
    width: 20px;
    height: 20px;
    border: 2px solid;
    border-bottom: 2px solid transparent;
}

.gg-moon,
.gg-moon:after {
    display: block;
    box-sizing: border-box;
    border-radius: 50%;
}

.gg-moon:after {
    content: "";
    position: absolute;
    width: 12px;
    height: 18px;
    border: 2px solid transparent;
    box-shadow: 0 0 0 2px;
    top: 8px;
    left: 2px;
}

.gg-sun,
.gg-sun:after,
.gg-sun:before {
    box-sizing: border-box;
    display: block;
    width: 24px;
}

.gg-sun:after,
.gg-sun:before {
    content: "";
    position: absolute;
    height: 2px;
    border-right: 4px solid;
    border-left: 4px solid;
    left: -6px;
    top: 5px;
}

.gg-sun:before {
    transform: rotate(-45deg);
}

.gg-sun:after {
    transform: rotate(45deg);
}

.nav-fixed .mode-container i.gg-sun {
    display: none;
    color: var(--font-color);
}

.nav-fixed .mode-container i.gg-moon {
    display: block;
    color: var(--font-color);
}

.mode-container i.gg-sun {
    display: none;
    color: var(--font-color);
}

.mode-container i.gg-moon {
    display: block;
    color: var(--font-color);
}

input:checked+.mode-container i.gg-sun {
    display: block;
}

input:checked+.mode-container i.gg-moon {
    display: none;
}

.mobile-position {
    position: absolute;
    right: 50px;
    top: 26px;
    z-index: 1;
}

@media only screen and (max-width: 991px) {

    .mobile-position {
        position: absolute;
        right: 15px;
        top: 30px;
        z-index: 1;
    }
}
